Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class Types

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Types

    public final class Types

extends java.lang.Object

The types list and details are available from http://msdn.microsoft.com/en-us/library/microsoft.exchange.data.contenttypes.tnef.tnefpropertytype%28v=EXCHG.140%29.aspx

Field Summary
`static int` | `APP_TIME` AppTime - application time value
`static int` | `ASCII_STRING` An 8-bit string, probably in CP1252, but don't quote us...
`static int` | `BINARY` Binary - counted byte array
`static int` | `BOOLEAN` Boolean - 16-bit Boolean value.
`static int` | `CLS_ID` ClassId - OLE GUID
`static int` | `CURRENCY` Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point
`static int` | `DIRECTORY` Object/Directory - embedded object in a property
`static int` | `DOUBLE` Double - floating point double
`static int` | `ERROR` Error - 32-bit error value
`static int` | `FLOAT` R4 - 4-byte floating point value
`static int` | `LONG` Long - signed 32-bit value
`static int` | `LONG_LONG` I8 - 8-byte signed integer
`static int` | `MULTIVALUED_FLAG` MultiValued - Value part contains multiple values
`static int` | `NULL` Null - NULL property value
`static int` | `SHORT` I2 - signed 16-bit value
`static int` | `TIME` SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601
`static int` | `UNICODE_STRING` A string, from Outlook 3.0 onwards.
`static int` | `UNSPECIFIED` Unspecified

Constructor Summary
`Types()`

Method Summary
`static java.lang.String` | `asFileEnding(int type)`
`static java.lang.String` | `asName(int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPECIFIED

    public static final int UNSPECIFIED

  Unspecified

  See Also:
    Constant Field Values

### NULL

    public static final int NULL

  Null - NULL property value

  See Also:
    Constant Field Values

### SHORT

    public static final int SHORT

  I2 - signed 16-bit value

  See Also:
    Constant Field Values

### LONG

    public static final int LONG

  Long - signed 32-bit value

  See Also:
    Constant Field Values

### FLOAT

    public static final int FLOAT

  R4 - 4-byte floating point value

  See Also:
    Constant Field Values

### DOUBLE

    public static final int DOUBLE

  Double - floating point double

  See Also:
    Constant Field Values

### CURRENCY

    public static final int CURRENCY

  Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point

  See Also:
    Constant Field Values

### APP_TIME

    public static final int APP_TIME

  AppTime - application time value

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Error - 32-bit error value

  See Also:
    Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  Boolean - 16-bit Boolean value. '0' is false. Non-zero is true

  See Also:
    Constant Field Values

### DIRECTORY

    public static final int DIRECTORY

  Object/Directory - embedded object in a property

  See Also:
    Constant Field Values

### LONG_LONG

    public static final int LONG_LONG

  I8 - 8-byte signed integer

  See Also:
    Constant Field Values

### TIME

    public static final int TIME

  SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601

  See Also:
    Constant Field Values

### CLS_ID

    public static final int CLS_ID

  ClassId - OLE GUID

  See Also:
    Constant Field Values

### BINARY

    public static final int BINARY

  Binary - counted byte array

  See Also:
    Constant Field Values

### ASCII_STRING

    public static final int ASCII_STRING

  An 8-bit string, probably in CP1252, but don't quote us... Normally used for everything before Outlook 3.0, and some fields in Outlook 3.0.

  See Also:
    Constant Field Values

### UNICODE_STRING

    public static final int UNICODE_STRING

  A string, from Outlook 3.0 onwards. Normally unicode

  See Also:
    Constant Field Values

### MULTIVALUED_FLAG

    public static final int MULTIVALUED_FLAG

  MultiValued - Value part contains multiple values

  See Also:
    Constant Field Values

Constructor Detail

### Types

    public Types()

Method Detail

### asFileEnding

    public static java.lang.String asFileEnding(int type)

### asName

    public static java.lang.String asName(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD